Package ru.bitel.bgbilling.kernel.contract.api.common.bean.enums

# Enum Class ContractTariffMasterDataMode

java.lang.Object
java.lang.Enum<ContractTariffMasterDataMode>
ru.bitel.bgbilling.kernel.contract.api.common.bean.enums.ContractTariffMasterDataMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ContractTariffMasterDataMode>`, `Constable`

public enum ContractTariffMasterDataMode extends Enum<ContractTariffMasterDataMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHANGE`
  `COPY`
  `EDIT`
  `NEW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractTariffMasterDataMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ContractTariffMasterDataMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEW

    public static final ContractTariffMasterDataMode NEW

  - ### EDIT

    public static final ContractTariffMasterDataMode EDIT

  - ### COPY

    public static final ContractTariffMasterDataMode COPY

  - ### CHANGE

    public static final ContractTariffMasterDataMode CHANGE

- ## Method Details

  - ### values

    public static ContractTariffMasterDataMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ContractTariffMasterDataMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null